-- ===================================================================

local oldmodbase  = "evenmoreblocks"
local oldmodcolon = oldmodbase .. ":"

local usemodname  = "emblocks"
local usemodcolon = usemodname .. ":"

local DDS         = 'default:desert_stone'
local DEOBS       = 'default:obsidian'

-- ===================================================================

local register_emblock = function (nodebase, def)
    local oldnodename = oldmodcolon .. nodebase
    local usenodename = usemodcolon .. nodebase

    ocutil.safe_register_node (usenodename, def)
    default.convert_node (oldnodename, usenodename)
end

-- ===================================================================

register_emblock ("stacked_tile", {
    description  = "Stacked Stone Tile"                 ,
    tiles        = { "emb_stacked_tile.png" }           ,
    groups       = { cracky=2 }                         ,
})

-- ===================================================================

register_emblock ("packed_ice_brick", {
    description  = "Packed Ice Brick"                   ,
    tiles        = { "emb_pack_ice_brick.png" }         ,
    groups       = { cracky=2 }                         ,
})

-- ===================================================================

register_emblock ("small_obsidian_brick", {
    description  = "Small Obsidian Brick"               ,
    tiles        = { "emb_small_obsidian_brick.png" }   ,
    groups       = { cracky=1, level=2 }                ,
})

-- ===================================================================

register_emblock ("hot_obsidian_brick", {
    description  = "Hot Obsidian Brick"                 ,
    tiles        = { "emb_hot_obsidian_brick.png" }     ,
    paramtype    = "light"                              ,
    light_source = 7                                    ,
    groups       = { cracky=1, level=2 }                ,
})

-- ===================================================================

register_emblock ("ice_lamp", {
    description  = "Ice Lamp"                           ,
    tiles        = { "emb_ice_lamp.png" }               ,
    paramtype    = "light"                              ,
    light_source = 10                                   ,
    groups       = { cracky=2 }                         ,
})

-- ===================================================================

register_emblock ("stone_tile_pillar", {
    description  = "Stone Tile Pillar"                  ,
    paramtype2   = "facedir"                            ,
    on_place     = minetest.rotate_node                 ,
    groups       = { cracky=2 }                         ,

    tiles = {
        "emb_stone_tile_pillar_top.png" ,
        "emb_stone_tile_pillar_top.png" ,
        "emb_stone_tile_pillar.png"     ,
    } ,
})

-- ===================================================================

register_emblock ("obsidian_pillar", {
    description  = "Stone Tile Pillar"                  ,
    paramtype2   = "facedir"                            ,
    on_place     = minetest.rotate_node                 ,
    groups       = { cracky=1, level=2 }                ,

    tiles = {
        "emb_obsidian_pillar_top.png"  ,
        "emb_obsidian_pillar_top.png"  ,
        "emb_obsidian_pillar_side.png" ,
    } ,
})

-- ===================================================================

register_emblock ("stacked_desert_tile", {
    description  = "Stacked Desert Stone Tile"          ,
    tiles        = { "emb_stacked_desert_tile.png" }    ,
    groups       = { cracky=2 }                         ,
})

-- ===================================================================

register_emblock ("desert_stone_pillar", {
    description  = "Desert Stone Pillar"                ,
    paramtype2   = "facedir"                            ,
    on_place     = minetest.rotate_node                 ,
    groups       = { cracky=1, level=2 }                ,

    tiles = {
        "emb_desert_stone_tile_pillar_top.png" ,
        "emb_desert_stone_tile_pillar_top.png" ,
        "emb_desert_stone_tile_pillar.png"     ,
    } ,
})

-- ===================================================================

register_emblock ("jungle_wood_tile", {
    description  = "Jungle Wood Tile"                   ,
    tiles        = { "emb_jungle_wood_tile.png" }       ,
    groups       = { choppy=2, level=2 }                ,
})

-- ===================================================================

register_emblock ("desert_runestone", {
    description  = "Desert Runestone"                   ,
    tiles        = { "emb_desert_stone_rune.png" }      ,
    groups       = { cracky=2 }                         ,
})

-- ===================================================================

register_emblock ("obsidian_runestone", {
    description  = "Obsidian Runestone"                 ,
    tiles        = { "emb_obsidian_rune.png" }          ,
    groups       = { cracky=1, level=2 }                ,
})

-- ===================================================================

register_emblock ("hard_clay_brick", {
    description  = "Hard Clay Brick"                    ,
    tiles        = { "emb_hard_clay_brick.png" }        ,
    groups       = { cracky=2 }                         ,
})

-- ===================================================================

register_emblock ("lava_lamp", {
    description  = "Lava Lamp"                          ,
    tiles        = { "emb_lava_lamp.png" }              ,
    paramtype    = "light"                              ,
    light_source = 12                                   ,
    groups       = { cracky=1, level=2 }                ,
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'small_obsidian_brick',
    recipe = {
        { 'default:obsidianbrick' } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    type = "cooking",
    output = "hot_obsidian_brick",
    recipe = "default:obsidianbrick",
    cooktime = 20,
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'ice_lamp',
    recipe = {
        { 'default:ice','default:torch', 'default:ice' } ,
        { 'default:ice','default:glass', 'default:ice' } ,
        { 'default:ice','default:torch', 'default:ice' } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'obsidian_pillar 3',
    recipe = {
        { 'default:obsidian_block' } ,
        { 'default:obsidian_block' } ,
        { 'default:obsidian_block' } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'desert_stone_pillar 3',
    recipe = {
        { 'default:desertstone' } ,
        { 'default:desertstone' } ,
        { 'default:desertstone' } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'jungle_wood_tile 2',
    recipe = {
        { '', 'default:wood', '' } ,
        { 'default:wood','default:junglewood', 'default:wood' } ,
        { '', 'default:wood', '' } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'desert_runestone 4',
    recipe = {
        { DDS, DDS  , DDS } ,
        { DDS, ''   , DDS } ,
        { DDS, DDS  , DDS } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'obsidian_runestone 4',
    recipe = {
        { DEOBS , DEOBS , DEOBS } ,
        { DEOBS , ''    , DEOBS } ,
        { DEOBS , DEOBS , DEOBS } ,
},
})

-- ===================================================================

ocutil.safe_register_item ("lava_blob", {
    description     = "Lava Blob"         ,
    inventory_image = "emb_lava_blob.png" ,
})

-- ===================================================================

minetest.register_craft ({
    type = "cooking",
    output = "lava_blob",
    recipe = DEOBS,
    cooktime = 20,
})

-- ===================================================================

minetest.register_craft ({
    output = usemodcolon .. 'lava_lamp',
    recipe = {
        { DEOBS ,'default:glass'             , DEOBS } ,
        { DEOBS , usemodcolon .. 'lava_blob' , DEOBS } ,
        { DEOBS , 'default:glass'            , DEOBS } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = 'bucket:bucket_lava',
    recipe = {
        { usemodcolon .. 'lava_blob' } ,
        { 'bucket:bucket_empty' } ,
    }
})

-- ===================================================================

if ocutil.mod_exists ("xdecor") then
minetest.register_craft ({
    output = usemodcolon .. 'stacked_tile 4',
    recipe = {
        { 'xdecor:stone_tile', 'xdecor:stone_tile' } ,
        { 'xdecor:stone_tile', 'xdecor:stone_tile' } ,
    }
})

minetest.register_craft ({
    output = usemodcolon .. 'packed_ice_brick 4',
    recipe = {
        { 'xdecor:packed_ice', 'xdecor:packed_ice' } ,
        { 'xdecor:packed_ice', 'xdecor:packed_ice' } ,
    }
})

minetest.register_craft ({
    output = usemodcolon .. 'stone_tile_pillar 3',
    recipe = {
        { 'xdecor:stone_tile' } ,
        { 'xdecor:stone_tile' } ,
        { 'xdecor:stone_tile' } ,
    }
})

minetest.register_craft ({
    output = usemodcolon .. 'stacked_desert_tile 4',
    recipe = {
        { 'xdecor:desertstone_tile', 'xdecor:desertstone_tile' } ,
        { 'xdecor:desertstone_tile', 'xdecor:desertstone_tile' } ,
    }
})

minetest.register_craft ({
    output = usemodcolon .. 'hard_clay_brick 4',
    recipe = {
        { 'xdecor:hard_clay', 'xdecor:hard_clay' } ,
        { 'xdecor:hard_clay', 'xdecor:hard_clay' } ,
    }
})
end
