--[[
    InfinityTools
    Author: Vortexlabs (mrtux)
    Licencing info:
        Code: GPLv3
        Graphics: WTFPL
]]--

local reg_alias = ocutil.safe_register_alias
local reg_item  = ocutil.safe_register_item
local reg_node  = ocutil.safe_register_node
local reg_tool  = ocutil.safe_register_tool
local neednode

-- Register nodes and tools

-- Infinity Block (used to make tools)
reg_node("infinitytools:compressed_mese", {
    description = "Compressed mese",
    tiles = {"infinity_compressedmese.png"},
    is_ground_content = true,
    groups = {cracky=1},
})

-- Infinity Block (used to make tools)

neednode = "infinitytools:block"
--
reg_node (neednode, {
    description = "Infinity Block",
    tiles = {"infinity_block.png"},
    is_ground_content = true,
    groups = {snappy=1,choppy=2,cracky=2},
})
reg_alias ("infinitytools:infinityblock", neednode)

-- Pickaxe

neednode = "infinitytools:pick"
--
reg_tool (neednode, {
    description = "Infinity Pickaxe",
    inventory_image = "infinity_pick.png",
    tool_capabilities = {
        max_drop_level=3,
        groupcaps={
            unbreakable={times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            cracky={times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
        }
    },
})
reg_alias ("infinitytools:pickaxe", neednode)

-- Shovel
reg_tool("infinitytools:shovel", {
    description = "Infinity Shovel",
    inventory_image = "infinity_shovel.png",
    tool_capabilities = {
        max_drop_level=3,
        groupcaps={
            unbreakable={times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            crumbly={times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
        }
    },
})

-- Axe
reg_tool("infinitytools:axe", {
    description = "Infinity Axe",
    inventory_image = "infinity_axe.png",
    tool_capabilities = {
        max_drop_level=3,
        groupcaps={
            unbreakable={times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            fleshy = {times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            choppy={times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
        }
    },
})

-- Sword
reg_tool("infinitytools:sword", {
    description       = "Infinity Sword"     ,
    inventory_image   = "infinity_sword.png" ,
    tool_capabilities = {
        max_drop_level = 3 ,
        groupcaps      = {
            unbreakable = { times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            fleshy      = { times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            choppy      = { times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
            snappy      = { times={[1]=0, [2]=0, [3]=0}, uses=0, maxlevel=3},
        }
    } ,
})

-- Register crafting recipies

-- Compressed Mese
minetest.register_craft({
    output = 'infinitytools:compressed_mese',
    recipe = {
        {'default:mese', 'default:mese', 'default:mese'},
        {'default:mese', 'default:mese', 'default:mese'},
        {'default:mese', 'default:mese', 'default:mese'},
    }
})

-- Infinity Block
minetest.register_craft({
    output = 'infinitytools:block',
    recipe = {
        {'infinitytools:compressed_mese', 'infinitytools:compressed_mese', 'default:steel_ingot'},
    }
})

-- Infinity Pickaxe
minetest.register_craft({
    output = 'infinitytools:pickaxe',
    recipe = {
        {'infinitytools:block', 'infinitytools:block', 'infinitytools:block'},
        {'', 'default:stick', ''},
        {'', 'default:stick', ''},
    }
})

-- Infinity Shovel
minetest.register_craft({
    output = 'infinitytools:shovel',
    recipe = {
        {'', 'infinitytools:block', ''},
        {'', 'default:stick', ''},
        {'', 'default:stick', ''},
    }
})

-- Infinity Axe
minetest.register_craft({
    output = 'infinitytools:axe',
    recipe = {
        {'infinitytools:block', 'infinitytools:block', ''},
        {'infinitytools:block', 'default:stick', ''},
        {'', 'default:stick', ''},
    }
})

-- Infinity Sword
minetest.register_craft({
    output = 'infinitytools:sword',
    recipe = {
        {'', 'infinitytools:block', ''},
        {'', 'infinitytools:block', ''},
        {'', 'default:stick', ''},
    }
})

-- Mod loaded message
print("[InfinityTools] Mod loaded!")
