-- Thanks  for  all the things in this file  and the  related textures
-- goes to catninja!

-- ===================================================================

local reg_alias = ocutil.safe_register_alias
local reg_node  = ocutil.safe_register_node

local neednode
local nodepng
local morepng

-- ===================================================================
-- Snowy Cobblestone.

neednode = "lottblocks:snowycobble"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_snowycobble.png"

reg_node (neednode, {
    description       = "Snowy Cobblestone" ,
    groups            = { cracky=3 }        ,
    is_ground_content = false               ,
    tiles             = { nodepng  }        ,
})
end

-- ===================================================================
-- Orc Brick.

neednode = "lottblocks:orc_brick"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_orc_brick.png"

reg_node (neednode, {
    description       = "Orc Brick"         ,
    groups            = { cracky=2 }        ,
    is_ground_content = false               ,
    tiles             = { nodepng  }        ,
})

stairs.register_stair_and_slab ("orc_brick", neednode,
    { cracky=2 } ,
    { nodepng  } ,
    "Orc Brick"  ,
    "Orc Brick")
end

-- ===================================================================
-- Marble Brick.

neednode = "lottblocks:marble_brick"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_marble_brick.png"

reg_node (neednode, {
    description       = "Marble Brick"      ,
    groups            = { cracky=2 }        ,
    is_ground_content = false               ,
    tiles             = { nodepng  }        ,
})

stairs.register_stair_and_slab ("marble_brick", neednode,
    { cracky=2 }   ,
    { nodepng  }   ,
    "Marble Brick" ,
    "Marble Brick")
end

-- ===================================================================
-- Dark Leafroof.

neednode = "lottblocks:leafroof_dark"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_leafroof.png"

reg_node (neednode, {
    description       = "Dark Leaf Roof"    ,
    drawtype          = "allfaces_optional" ,
    is_ground_content = false               ,
    paramtype         = "light"             ,
    tiles             = { nodepng }         ,

    sounds = default.node_sound_leaves_defaults() ,
    groups = {
        snappy=2, oddly_breakable_by_hand=2, leaves=1
    } ,
})

stairs.register_stair_and_slab ("leafroof_dark", neednode,
    { oddly_breakable_by_hand=2,
      leaves=1 }    ,
    { nodepng  }    ,
    "Dark Leafroof" ,
    "Dark Leafroof")
end

-- ===================================================================
-- Mallorn Leafroof.

neednode = "lottblocks:leafroof_mallorn"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_mallornroof.png"

reg_node (neednode, {
    description       = "Mallorn Leaf Roof" ,
    drawtype          = "allfaces_optional" ,
    is_ground_content = false               ,
    paramtype         = "light"             ,
    tiles             = { nodepng }         ,

    sounds = default.node_sound_leaves_defaults() ,
    groups = {
        oddly_breakable_by_hand=2, leaves=1
    } ,
})

stairs.register_stair_and_slab ("leafroof_mallorn", neednode,
    { oddly_breakable_by_hand=2,
      leaves=1 }       ,
    { nodepng  }       ,
    "Mallorn Leafroof" ,
    "Mallorn Leafroof")
end

-- ===================================================================
-- Mallorn Pillar.

neednode = "lottblocks:mallorn_pillar"

if ocutil.thing_missing (neednode) then
ndoepng  = "lottblocks_mallorn_pillar.png"

reg_node (neednode, {
    description       = "Mallorn Pillar"      ,
    groups            = { snappy=2,choppy=2 } ,
    is_ground_content = false                 ,
    paramtype         = "light"               ,
    paramtype2        = "facedir"             ,
    tiles             = { nodepng }           ,
})

stairs.register_stair_and_slab ("mallorn_pillar", neednode,
    { snappy=2, choppy=2 } ,
    { nodepng            } ,
    "Mallorn Pillar"       ,
    "Mallorn Pillar")
end

-- ===================================================================
-- White Mallorn.

neednode = "lottblocks:mallorn_white"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_mallorn_white.png"

reg_node (neednode, {
    description       = "White Mallorn"        ,
    groups            = { snappy=2, choppy=2 } ,
    is_ground_content = false                  ,
    paramtype         = "light"                ,
    paramtype2        = "facedir"              ,
    tiles             = { nodepng }            ,
})

stairs.register_stair_and_slab ("mallorn_white", neednode,
    { snappy=2, choppy=2 } ,
    { nodepng            } ,
    "White Mallorn"        ,
    "White Mallorn")
end

-- ===================================================================
-- White Dwarfstone.

neednode = "lottblocks:dwarfstone_white"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_dwarfstone_white_top.png"
morepng  = "lottblocks_dwarfstone_white_side.png"

reg_node (neednode, {
    description       = "White Dwarf Stone" ,
    groups            = { cracky=3 }        ,
    is_ground_content = false               ,
    paramtype2        = "facedir"           ,

    tiles             = {
        nodepng , nodepng , morepng , morepng ,
        morepng , morepng ,
    } ,
})

stairs.register_stair_and_slab ("dwarfstone_white", neednode,
    { cracky=2 }       ,
    { nodepng  }       ,
    "White Dwarfstone" ,
    "White Dwarfstone")
end

-- ===================================================================
-- Black Dwarfstone.

neednode = "lottblocks:dwarfstone_black"

if ocutil.thing_missing (neednode) then
nodepng  = "lottblocks_dwarfstone_black_top.png"
morepng  = "lottblocks_dwarfstone_black_side.png"

reg_node (neednode, {
    description       = "Black Dwarfstone" ,
    groups            = { cracky=3 }       ,
    is_ground_content = false              ,
    paramtype2        = "facedir"          ,

    tiles             = {
        nodepng , nodepng , morepng , morepng ,
        morepng , morepng ,
    } ,
})

stairs.register_stair_and_slab ("dwarfstone_black", neednode,
    { cracky=2 }       ,
    { nodepng  }       ,
    "Black Dwarfstone" ,
    "Black Dwarfstone")
end

-- ===================================================================
-- End of file.
