-- ===================================================================

local missing
local needmod
local needbase
local neednode
local neednode_1

local cvt       = default.convert_node
local reg_alias = ocutil.safe_register_alias

-- ===================================================================

cvt ("moreblocks:panel_basalt_brick_1"         ,
        "darkage:panel_basalt_brick_1"         )
cvt ( "moreblocks:slab_basalt_brick"           ,
         "darkage:slab_basalt_brick"           )
cvt ( "moreblocks:slab_basalt_brick_1"         ,
         "darkage:slab_basalt_brick_1"         )
cvt ( "moreblocks:slab_basalt_brick_2"         ,
         "darkage:slab_basalt_brick_2"         )
cvt ("moreblocks:stair_basalt_brick"           ,
        "darkage:stair_basalt_brick"           )

cvt ("signs:wooden_left"                       ,
     "signs:wooden_left_sign"                  )
cvt ("signs:wooden_right"                      ,
     "signs:wooden_right_sign"                 )

cvt ("homedecor:wardrobe"                      ,
     "air"                                     )

cvt ("moretrees:apple_blossoms"                ,
     "air"                                     )

-- Future: rotate at 4802, 5499, 4950
cvt ("signs:poster"                            ,
     "signs:paper_poster"                      )

-- Future: Fix unknowns at 3844, 61, -3925

-- ===================================================================

cvt ("moretrees:slope_birch_trunk"             ,
        "stairs:slope_birch_trunk"             )

cvt ( "moretrees:slab_beech_planks"            ,
     "moreblocks:slab_beech_wood"              )

cvt ( "moretrees:slab_oak_planks"              ,
     "moreblocks:slab_oak_wood"                )

cvt ("moreblocks:slab_concrete_1"              ,
         "stairs:slab_concrete"                )

-- ===================================================================

minetest.register_lbm ({

    -- For LBM version:
    name  = ":coderblocks:cvt_sliding_bars" ,
    label = ":coderblocks:cvt_sliding_bars" ,
    run_at_every_load = true                ,

    -- For ABM version:
    catch_up = false ,
    chance   = 1     ,
    interval = 3     ,

    nodenames = {
        "mydoorsplus:sliding_barsa" ,
        "mydoorsplus:sliding_barsc" ,
    } ,

    action = function (pos, node)
        local name   = node.name
        local uppos  = ocutil.clone_table (pos)

        uppos.y = uppos.y + 1

        local upname =  minetest.get_node (uppos).name
        if ocutil.starts_with (upname,
                               "mydoorsplus:sliding_bars") then
            minetest.set_node (pos, {
                name   = "steampunk:door_iron_a"   ,
                param2 = node.param2               ,
            })

            minetest.set_node (uppos, {
                name   = "air"                     ,
                param2 = node.param2               ,
            })
        end
    end
})

-- ===================================================================
-- End of file.
