-- ===================================================================

local missing
local willbe
local needmod
local needbase
local neednode
local neednode_1

local cvt       = default.convert_node
local reg_alias = ocutil.safe_register_alias

-- ===================================================================

if ocutil.mod_exists ("darkage"   ) then
    stairsplus:register_all ("moreblocks",
        "ors_brick", "darkage:ors_brick", {

        description = "ors_brick",
        tiles  = {"darkage_ors_brick.png" } ,
        groups = { cracky=3, stone=2 } ,
        sounds = default.node_sound_stone_defaults() ,
    })

    stairsplus:register_all ("moreblocks",
        "darkage_glass", "darkage:glass", {

        description = "darkage_glass",
        tiles  = {"darkage_glass.png" } ,
        groups = { cracky=3,
            oddly_breakable_by_hand=3, not_cuttable=1
        } ,
        sounds = default.node_sound_glass_defaults() ,
    })

    cvt (            "darkage:slab_glass_1"           ,
          "moreblocks:slab_darkage_glass"             )
    cvt (            "darkage:slab_glass_2"           ,
          "moreblocks:slab_darkage_glass"             )
    cvt (           "darkage:slope_glass_half"        ,
         "moreblocks:slope_darkage_glass_half"        )
    cvt (           "darkage:slope_glass_half_raised" ,
         "moreblocks:slope_darkage_glass_half_raised" )
end

-- ===================================================================

-- Needed for plane in flight near 3035, 42, -24
-- Future: Check appearance of back of engine there

missing  = "moreblocks:stair_metal_outer"
needmod  = "default"
needbase = "steelblock"
neednode = needmod  .. ":" .. needbase

if  ocutil.mod_exists (needmod) and
    ocutil.node_missing (missing) then

    stairsplus:register_all ("moreblocks",
        "metal", neednode, {
        description = "Steel Block"                ,
        tiles       = { "default_steelblock.png" } ,
        groups      = { cracky=3 }                 ,
        sounds      = default.sound_metal()        ,
    })
end

-- ===================================================================

if false then -- Future
missing    = "moreblocks:slab_lapis_block_1"
needmod    = "lapis"
needbase   = "lapis_block"
neednode   = needmod  .. ":" .. needbase
neednode_1 = neednode .. "_1"

if  ocutil.mod_exists (needmod) and
    ocutil.node_missing (missing) then
    reg_alias (neednode, neednode)

    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "Lapis with Calcite"  ,
        tiles       = { "lapis_block.png" } ,
        groups      = { cracky=3, stone=1 } ,
        sounds      = default.sound_stone() ,
    })
end
end

-- ===================================================================

if false then -- Future
missing    = "moreblocks:panel_rt8_1"
needmod    = "riventest"
needbase   = "rt8"
neednode   = needmod  .. ":" .. needbase
neednode_1 = neednode .. "_1"

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    reg_alias (neednode, neednode)

    stairsplus:register_all ("moreblocks",
        needbase, neednode, {
        description = "RT8"                   ,
        tiles       = { "riventest_rt8.png" } ,
        groups      = { cracky=3, stone=1   } ,
        sounds      = default.sound_stone()   ,
    })
end
end

-- ===================================================================

missing    = "moreblocks:slope_rt10_half"
needmod    = "riventest"
needbase   = "rt10"
neednode   = needmod  .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "RT10"                   ,
        tiles       = { "riventest_rt10.png" } ,
        groups      = { cracky=3, stone=1   }  ,
        sounds      = default.sound_stone()    ,
    })
end

-- ===================================================================

missing    = "moreblocks:slope_rt11_half"
needmod    = "riventest"
needbase   = "rt11"
neednode   = needmod  .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "RT11"                   ,
        tiles       = { "riventest_rt11.png" } ,
        groups      = { cracky=3, stone=1   }  ,
        sounds      = default.sound_stone()    ,
    })
end

-- ===================================================================

missing    = "moreblocks:stair_goldstone1"
needmod    = "riventest"
needbase   = "goldstone1"
neednode   = needmod  .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "RT11"                         ,
        tiles       = { "riventest_goldstone1.png" } ,
        groups      = { cracky=3, stone=1 }          ,
        sounds      = default.sound_stone()          ,
    })
end

-- ===================================================================

missing    = "moreblocks:slope_stoneblue"
needmod    = "riventest"
needbase   = "stoneblue"
neednode   = needmod .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "Blue Stone"                   ,
        tiles       = { "riventest_stoneblue.png" }  ,
        groups      = { cracky=3, stone=1 }          ,
        sounds      = default.sound_stone()          ,
    })
end

-- ===================================================================

missing    = "moreblocks:slope_goldstone2_outer"
needmod    = "riventest"
needbase   = "goldstone2"
neednode   = needmod .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "Blue Stone"                    ,
        tiles       = { "riventest_goldstone2.png" }  ,
        groups      = { cracky=3, stone=1 }           ,
        sounds      = default.sound_stone()           ,
    })
end

-- ===================================================================

missing    = "moreblocks:slab_rt8"
needmod    = "riventest"
needbase   = "rt8"
neednode   = needmod  .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "rt8"                   ,
        tiles       = { "riventest_rt8.png" } ,
        groups      = { cracky=3, stone=1 }   ,
        sounds      = default.sound_stone()   ,
    })
end

-- ===================================================================

missing    = "moreblocks:slope_bulkhead"
needmod    = "riventest"
needbase   = "bulkhead"
neednode   = needmod  .. ":" .. needbase

if  ocutil.node_missing (missing ) and
    ocutil.node_exists  (neednode) then
    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "bulkhead"                   ,
        tiles       = { "riventest_bulkhead.png" } ,
        groups      = { cracky=3, stone=1 }        ,
        sounds      = default.sound_stone()        ,
    })
end

-- ===================================================================

missing  = "moreblocks:panel_white_stone_4"
needmod  = "skylands"
needbase = "white_stone"
neednode = needmod  .. ":" .. needbase

if  ocutil.thing_missing (missing  ) and
    ocutil.node_exists   (neednode ) then

    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "White Stone"                  ,
        tiles       = { "skylands_white_stone.png" } ,
        groups      = { cracky=3, stone=1 }          ,
        sounds      = default.sound_stone()          ,
    })
end

-- ===================================================================

missing  = "moreblocks:panel_white_stone_brick"
needmod  = "skylands"
needbase = "white_stone_brick"
neednode = needmod  .. ":" .. needbase

if  ocutil.thing_missing (missing  ) and
    ocutil.node_exists   (neednode ) then

    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "White Stone"                        ,
        tiles       = { "skylands_white_stone_brick.png" } ,
        groups      = { cracky=3, stone=1 }                ,
        sounds      = default.sound_stone()                ,
    })
end

-- ===================================================================

missing  = "darkage:slab_glow_glass_2"
willbe   = "moreblocks:slab_glow_glass"
needmod  = "darkage"
needbase = "glow_glass"
neednode = needmod  .. ":" .. needbase

if  ocutil.thing_missing (missing  ) and
    ocutil.node_exists   (neednode ) then

    stairsplus:register_all ("moreblocks",
        needbase, neednode, {

        description = "Glow Glass"            ,
        tiles       = { "darkage_glass.png" } ,
        groups      = { cracky=3, stone=1 }   ,
        sounds      = default.sound_stone()   ,

        use_texture_alpha   = true                ,
        paramtype           = "light"             ,
        sunlight_propagates = true                ,
        light_source        = default.LIGHT_MAX-1 ,
    })

    reg_alias (missing, willbe)
end

-- ===================================================================
-- End of file.
