-- ===================================================================
-- region cats

minetest.register_node ("plushies:cat_orange" , {
    description = "Orange cat plushy" ,
    drawtype    = "mesh"              ,
    mesh        = "plushies_cat.b3d"  ,
    tiles       = { "plushies_cat_orange.png" } ,
    paramtype2  = "facedir" ,
    paramtype   = "light"   ,

    selection_box = {
        type  = "fixed" ,
        fixed = { -0.245235, -0.49, -0.5, 0.245235, 0.279021, 0.75 }
    } ,
    collision_box = {
        type  = "fixed" ,
        fixed = { -0.1875, -0.5, -0.5, 0.1875, 0.0625, 0.4375 }
    } ,

    inventory_image = "plushies_cat_orange_icon.png" ,
    is_ground_content = false,
    groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
    flammable = 3, wool = 1}
})

-- ===================================================================

minetest.register_craft ({
    output = "plushies:cat_orange" ,
    recipe = {
        { "" , "" , "" } ,
        { "dye:orange" , "farming:cotton" , "default:paper" } ,
        { "" , "default:paper" , "farming:cotton" } ,
    }
})

-- ===================================================================

minetest.register_node ("plushies:cat_black" , {
    description = "Black cat plushy" ,
    drawtype    = "mesh"             ,
    mesh        = "plushies_cat.b3d" ,
    tiles       = { "plushies_cat_black.png" } ,
    paramtype2  = "facedir" ,
    paramtype   = "light"   ,

    selection_box = {
        type  = "fixed" ,
        fixed = { -0.245235, -0.49, -0.625, 0.245235, 0.279021, 0.75 }
    } ,
    collision_box = {
        type  = "fixed" ,
        fixed = { -0.1875, -0.5, -0.5625, 0.1875, 0.0625, 0.4375 }
    } ,

    inventory_image = "plushies_cat_black_icon.png" ,
    is_ground_content = false,
    groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
    flammable = 3, wool = 1}
})

-- ===================================================================

minetest.register_craft ({
    output = "plushies:cat_black" ,
    recipe = {
        { "" , "" , "" } ,
        { "dye:black" , "farming:cotton" , "default:paper" } ,
        { "" , "default:paper" , "farming:cotton" } ,
    }
})

-- ===================================================================
-- region dogs

minetest.register_node ("plushies:fox" , {
    description = "Red fox plushy"   ,
    drawtype    = "mesh"             ,
    mesh        = "plushies_dog.b3d" ,

    tiles = { "plushies_dog_redfox.png" } ,

    -- ^ The texture has parts that must be painted or left transparent
    --   for different dogs which have different types of ears & tails.
    --   See the layer names in the XCF (GIMP project) file.

    paramtype2 = "facedir" ,
    paramtype  = "light"   ,

    selection_box = {
        type  = "fixed" ,
        fixed = { -0.245235, -0.49, -0.625, 0.245235, 0.279021, 0.75 }
    } ,
    collision_box = {
        type  = "fixed" ,
        fixed = { -0.1875, -0.5, -0.5625, 0.1875, 0.0625, 0.4375 }
    } ,

    inventory_image = "plushies_dog_redfox_icon.png" ,
    is_ground_content = false,
    groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
    flammable = 3, wool = 1}
})

-- ===================================================================

minetest.register_craft ({
    output = "plushies:fox" ,
    recipe = {
        { "" , "farming:cotton" , "" } ,
        { "dye:orange" , "farming:cotton" , "default:paper" } ,
        { "" , "default:paper" , "farming:cotton" } ,
    }
})

-- ===================================================================

local bears = {
    {
        id          = "bear_brown"         ,
        caption     = "Brown bear plushy"  ,
        ingredient  = "dye:brown"          ,
        ingredient2 = ""                   ,
    } ,
    {
        id          = "bear_polar"         ,
        caption     = "Polar bear plushy"  ,
        ingredient  = "dye:white"          ,
        ingredient2 = ""                   ,
    } ,
    {
        id          = "bear_panda"         ,
        caption     = "Giant panda plushy" ,
        ingredient  = "dye:black"          ,
        ingredient2 = "dye:white"          ,
    } ,
}

for _, thisdef in ipairs (bears) do

    minetest.register_node ("plushies:" .. thisdef ['id'] , {
        description = thisdef ['caption']  ,
        drawtype    = "mesh"               ,
        mesh        = "plushies_bear.b3d"  ,
        tiles       = { "plushies_" .. thisdef ['id'] .. ".png" } ,
        paramtype2  = "facedir" ,
        paramtype   = "light"   ,

        selection_box = {
            type  = "fixed" ,
            fixed = { -0.3, -0.46, -0.4, 0.3, 0.3, 0.3 }
        } ,
        collision_box = {
            type  = "fixed" ,
            fixed = { -0.3, -0.46, -0.4, 0.3, 0.3, 0.3 }
        } ,

        inventory_image = "plushies_"..thisdef['id'].."_icon.png" ,
        is_ground_content = false,
        groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
        flammable = 3, wool = 1}
    })

    minetest.register_craft ({
        output = "plushies:"..thisdef['id'] ,
        recipe = {
{ thisdef ['ingredient2'] , "farming:cotton" , "" } ,
{ thisdef ['ingredient']  , "farming:cotton" , "default:paper" } ,
{ "farming:cotton" , "default:paper" , "farming:cotton" } ,
        }
    })
end

-- ===================================================================

local dinos = {
    {
        id          = "dino_stegosaurus"   ,
        caption     = "Stegosaurus plushy" ,
        ingredient  = "dye:green"          ,
        ingredient2 = ""                   ,
    } ,
    {
        id          = "dino_trex"          ,
        caption     = "T-Rex plushy"       ,
        ingredient  = "dye:orange"         ,
        ingredient2 = ""                   ,
    } ,
}

for _, thisdef in ipairs (dinos) do

    minetest.register_node ("plushies:" .. thisdef ['id'] , {
        description = thisdef ['caption']  ,
        drawtype    = "mesh"               ,
        mesh        = "plushies_dino.b3d"  ,
        tiles       = { "plushies_" .. thisdef ['id'] .. ".png" } ,
        paramtype2  = "facedir" ,
        paramtype   = "light"   ,

        selection_box = {
            type  = "fixed" ,
            fixed = { -0.4, -0.49, -0.825, 0.4, 0.5, 0.55 }
        } ,
        collision_box = {
            type  = "fixed" ,
            fixed = { -0.4, -0.5, -0.7625, 0.4, 0.5, 0.2375 }
        } ,

        inventory_image = "plushies_"..thisdef['id'].."_icon.png" ,
        is_ground_content = false,
        groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
        flammable = 3, wool = 1}
    })

    minetest.register_craft ({
        output = "plushies:"..thisdef['id'] ,
        recipe = {
{ thisdef ['ingredient2'] , "farming:cotton" , "default:paper" } ,
{ thisdef ['ingredient']  , "farming:cotton" , "default:paper" } ,
{ "farming:cotton" , "default:paper" , "farming:cotton" } ,
        }
    })
end


-- ===================================================================

minetest.register_node ("plushies:hamster_black" , {
    description = "Black hamster plushy"           ,
    drawtype    = "mesh"                           ,
    mesh        = "plushies_hamster.b3d"           ,
    tiles       = { "plushies_hamster_black.png" } ,
    paramtype2  = "facedir"                        ,
    paramtype   = "light"                          ,

    selection_box = {
        type  = "fixed" ,
        fixed = { -0.21875, -0.49, -0.25, 0.21875, -0.15625, 0.25 }
    } ,
    collision_box = {
        type  = "fixed" ,
        fixed = { -0.15625 , -0.46875, -0.25, 0.15625 , -0.15625, 0.25 }
    } ,

    inventory_image = "plushies_hamster_black_icon.png" ,
    is_ground_content = false,
    groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
    flammable = 3, wool = 1}
})

-- ===================================================================

minetest.register_craft ({
    output = "plushies:hamster_black" ,
    recipe = {
        { ""               , "dye:white"      , ""              } ,
        { "default:paper"  , "farming:cotton" , "default:paper" } ,
        { ""               , ""               , ""              } ,
    }
})

-- ===================================================================

minetest.register_node ("plushies:octopus" , {
    description = "Octopus plushy"       ,
    drawtype    = "mesh"                 ,
    mesh        = "plushies_octopus.b3d" ,
    tiles       = { "plushies_octopus.png" } ,
    paramtype2  = "facedir" ,
    paramtype   = "light"   ,

    selection_box = {
        type  = "fixed" ,
        fixed = { -0.38, -0.46, -0.4, 0.38, 0.0625, 0.4 }
    } ,
    collision_box = {
        type  = "fixed" ,
        fixed = { -0.38, -0.46, -0.4, 0.38, 0.0625, 0.4 }
    } ,

    inventory_image = "plushies_octopus_icon.png" ,
    is_ground_content = false,
    groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
    flammable = 3, wool = 1}
})

-- ===================================================================

minetest.register_craft ({
    output = "plushies:octopus" ,
    recipe = {
        { "" , "" , "" } ,
        { "dye:white"      , "farming:cotton" , "" } ,
        { "farming:cotton" , "default:paper"  , "" } ,
    }
})

-- ===================================================================

minetest.register_alias ("plushies:brown_bear" ,
                         "plushies:bear_brown" )
minetest.register_alias ("plushies:chat_noir"  ,
                         "plushies:cat_black"  )
minetest.register_alias ("plushies:chat_roux"  ,
                         "plushies:cat_orange" )
minetest.register_alias ("plushies:polar_bear" ,
                         "plushies:bear_polar" )
minetest.register_alias ("plushies:panda_bear" ,
                         "plushies:bear_panda" )
minetest.register_alias ("plushies:poulpe"     ,
                         "plushies:octopus"    )

-- ===================================================================
-- End of file.
