-- "green lava" is descended from a mod by Yam (ForgiveAndromedalolol).
-- That mod was WTFPL.

-- ================================================================

local sra = ocutil.safe_register_alias

-- ===================================================================

local amtiles_green_lava_source = {
    name             = "green_lava_source_animated.png" ,
    backface_culling = false                            ,
    animation        = {
        type     = "vertical_frames" ,
        aspect_w = 16                ,
        aspect_h = 16                ,
        length   =  3.0              ,
    }
}

-- ===================================================================

local groups = {
    lava=3, liquid=2, igniter=1,
    not_in_creative_inventory=1
}

if default.safe_lava then
   groups = {
        lava=3, liquid=2,
        not_in_creative_inventory=1
    }
end

-- ===================================================================

if not default.stop_lava then
minetest.register_node (":greenlava:lava_source", {

    description       = "Green Lava Source"               ,
    light_source      = default.LIGHT_MAX - 1             ,
    paramtype         = "light"                           ,

    tiles             = { amtiles_green_lava_source }     ,
    special_tiles     = { amtiles_green_lava_source }     ,

    buildable_to      = true                              ,
    diggable          = false                             ,
    is_ground_content = false                             ,
    pointable         = false                             ,
    walkable          = false                             ,

    drop              = ""                                ,
    drowning          = 1                                 ,
    post_effect_color = { a=64, r=100, g=200, b=100 }     ,

    drawtype                   = "liquid"                 ,
    liquidtype                 = "source"                 ,
    liquid_alternative_flowing = "greenlava:lava_flowing" ,
    liquid_alternative_source  = "greenlava:lava_source"  ,
    liquid_renewable           = false                    ,
    liquid_viscosity           = 7                        ,
    groups                     = groups                   ,

    after_place_node = function (pos, placer, itemstack, pointed_thing)
        if not minetest.check_player_privs (placer:get_player_name(),
            { lava = true }) then
            minetest.remove_node (pos)
        end
    end ,
})
end

-- ===================================================================

local amtiles_green_lava_flowing_bc0 = {
    name             = "green_lava_flowing_animated.png" ,
    backface_culling = false                             ,
    animation        = {
        type     = "vertical_frames" ,
        aspect_w = 16                ,
        aspect_h = 16                ,
        length   =  3.3              ,
    }
}

local                   amtiles_green_lava_flowing_bc1 =
    ocutil.clone_table (amtiles_green_lava_flowing_bc0)

amtiles_green_lava_flowing_bc1.backface_culling = true

-- ===================================================================

if not default.stop_lava then
minetest.register_node (":greenlava:lava_flowing", {

    description       = "Flowing Green Lava"  ,
    light_source      = default.LIGHT_MAX - 1 ,
    paramtype         = "light"               ,
    paramtype2        = "flowingliquid"       ,

    tiles             = { "green_lava.png" }  ,
    special_tiles     = {
        amtiles_green_lava_flowing_bc0 ,
        amtiles_green_lava_flowing_bc1 ,
    } ,

    buildable_to      = true                  ,
    diggable          = false                 ,
    is_ground_content = false                 ,
    pointable         = false                 ,
    walkable          = false                 ,

    drop              = ""                    ,
    drowning          = 1                     ,

    drawtype                   = "flowingliquid"          ,
    liquidtype                 = "flowing"                ,
    liquid_alternative_flowing = "greenlava:lava_flowing" ,
    liquid_alternative_source  = "greenlava:lava_source"  ,
    liquid_renewable           = false                    ,
    liquid_viscosity           = 7                        ,
    groups                     = groups                   ,

    post_effect_color = { a=64, r=100, g=200, b=100 } ,

    after_place_node = function (pos, placer, itemstack, pointed_thing)
        if not minetest.check_player_privs (placer:get_player_name(),
            { lava = true }) then
            minetest.remove_node (pos)
        end
    end ,
})
end

-- ===================================================================

-- Green Lava Gel is the  Green Lava version of Regular Lava Gel.  For
-- more information, see "nodes_lava.lua".

-- ===================================================================

minetest.register_node (":greenlava:lava_gel", {

    description       = "Green Lava Gel"                    ,
    light_source      = default.LIGHT_MAX - 1               ,
    paramtype         = "light"                             ,

    tiles             = { amtiles_green_lava_source }       ,
    special_tiles     = { amtiles_green_lava_source }       ,

    buildable_to      = true                                ,
    diggable          = false                               ,
    is_ground_content = false                               ,
    pointable         = false                               ,
    walkable          = false                               ,

    drop              = ""                                  ,
    drowning          = 1                                   ,

    drawtype          = "liquid"                            ,
    liquidtype        = "source"                            ,
    liquid_viscosity  = 7                                   ,
    liquid_range      = 0                                   ,
    liquid_renewable  = false                               ,

    liquid_alternative_flowing = "greenlava:lava_gel_slope" ,
    liquid_alternative_source  = "greenlava:lava_gel"       ,
    groups = { lava=3, liquid=2 }                           ,
})

-- ================================================================

if default.stop_lava then
    sra ("greenlava:lava_flowing" , "greenlava:lava_gel")
    sra ("greenlava:lava_source"  , "greenlava:lava_gel")
end

-- ===================================================================

-- Green Lava  Gel Slope is the  Green Lava version of  Regular Lava Gel
-- Slope. For more information, see "nodes_lava.lua".

-- ===================================================================

minetest.register_node (":greenlava:lava_gel_slope", {

    description       = "Green Lava Gel Slope"              ,
    light_source      = default.LIGHT_MAX - 1               ,
    paramtype         = "light"                             ,

    tiles             = { "green_lava.png" }                ,
    special_tiles     = {
       amtiles_green_lava_flowing_bc0 ,
       amtiles_green_lava_flowing_bc1 ,
    } ,

    buildable_to      = true                                ,
    diggable          = true                                ,
    is_ground_content = false                               ,
    pointable         = true                                ,
    walkable          = false                               ,

    drop              = "greenlava:lava_gel_slope"          ,
    drowning          = 1                                   ,

    drawtype          = "flowingliquid"                     ,
    liquidtype        = "none"                              ,
    liquid_viscosity  = 7                                   ,
    liquid_range      = 0                                   ,
    liquid_renewable  = false                               ,

    liquid_alternative_flowing = "greenlava:lava_gel_slope" ,
    liquid_alternative_source  = "greenlava:lava_gel"       ,
    groups = { lava=3, liquid=2 }                           ,
})

-- ===================================================================
-- End of module.
