-- ===================================================================
-- "ufoods" common header.

local S
if minetest.get_modpath ("intllib") then
    S = intllib.Getter()
else
    S = function (s) return s end
end

local item_eat     = unified_foods.item_eat
local keep_vessels = unified_foods.keep_vessels
local mra          = minetest.registered_aliases
local mri          = minetest.registered_items

local reg_alias    = ocutil.safe_register_alias
local reg_craft    = minetest.register_craft
local reg_food     = unified_foods.register_food
local reg_item     = ocutil.safe_register_item
local reg_juice    = unified_foods.register_juice

local needitem

-- ===================================================================

needitem = reg_food ("coffee_beans",
    {
        description    = "Raw Coffee Beans" ,
        satiate        = 0                  ,

        external_items = {
            "farming:coffee_beans", "plantlib:coffee"
        } ,
    })

reg_alias ("farming:coffee_beans", needitem)

-- ===================================================================

needitem = reg_food ("coffee_roasted",
    {
        description = "Roasted Coffee Beans" ,
        satiate     = 0                      ,
    })

reg_craft ({
    type     = "cooking"                 ,
    output   = needitem                  ,
    recipe   = "group:food_coffee_beans" ,
    cooktime = 5                         ,
})

reg_alias ("food:coffeebean_cooked", needitem)

-- ===================================================================

needitem = reg_food ("coffee_in_cup",
    {
        description  = "Coffee in cup" ,
        satiate      = 10              ,
        replace      = "food:cup"      ,
        extra_groups = { food_cup=1 }  ,
    })

reg_craft ({
    output = needitem ,
    recipe = {
        { "", "group:food_coffee_roasted" , "" } ,
        { "", "group:food_coffee_roasted" , "" } ,
        { "", "group:food_cup"            , "" } ,
    }
})

-- ===================================================================

needitem = reg_food ("coffee_in_mug",
    {
        description  = "Coffee in mug" ,
        satiate      = 10              ,
        replace      = "food:mug"      ,
        extra_groups = { food_mug=1 }  ,
    })

reg_craft ({
    output = needitem ,
    recipe = {
        { "", "group:food_coffee_roasted" , "" } ,
        { "", "group:food_coffee_roasted" , "" } ,
        { "", "group:food_mug"            , "" } ,
    }
})

reg_alias ("coffee"      , needitem)
reg_alias ("food:coffee" , needitem)

-- ===================================================================
-- End of file.
