-- ===================================================================
-- "ufoods" common header.

local S
if minetest.get_modpath ("intllib") then
    S = intllib.Getter()
else
    S = function (s) return s end
end

local item_eat     = unified_foods.item_eat
local keep_vessels = unified_foods.keep_vessels
local mra          = minetest.registered_aliases
local mri          = minetest.registered_items

local reg_alias    = ocutil.safe_register_alias
local reg_craft    = minetest.register_craft
local reg_food     = unified_foods.register_food
local reg_item     = ocutil.safe_register_item
local reg_juice    = unified_foods.register_juice

local needitem

-- ===================================================================

local obj, obj1, obj2

-- ===================================================================

needitem = reg_food ("glass_milk",
    {
        description    = "Glass of milk" ,
        stack_max      = 10              ,
        satiate        =  2              ,
        replace        = "food:glass"    ,

        extra_groups   = {
            food_glass=1, food_milk=1
        } ,

        external_items = {
            "mobs:glass_milk"        , "animalmaterials:milk"   ,
            "my_mobs:milk_glass_cup" , "mtfoods:dandelion_milk" ,
        } ,
    })

obj1 = "flowers:dandelion_yellow"
obj2 = "group:food_sugar"

if ocutil.thing_exists (obj1) then
    reg_craft ({
        output = needitem .. " 2" ,
        recipe = {
            { ""   , obj1             , ""   } ,
            { obj2 , obj1             , obj2 } ,
            { ""   , "group:food_cup" , ""   } ,
        }
    })
end

reg_alias ("milk"            , needitem)
reg_alias ("mobs:glass_milk" , needitem)

-- ===================================================================

needitem = reg_food ("bucket_milk",
    {
        description    = "Bucket of Milk"      ,
        stack_max      = 1                     ,
        satiate        = 8                     ,
        replace        = "bucket:bucket_empty" ,

        extra_groups   = {
            food_milk=1, flammable=3, bucket_milk=1, bucket=1
        } ,

        external_items = {
            "jkanimals:bucket_milk"
        } ,
    })

reg_alias ("mobs:bucket_milk", needitem)

-- ===================================================================

needitem = reg_food ("butter",
    {
        description  = "Butter"        ,
        extra_groups = { flammable=2 } ,
    })

reg_craft ({
    output       = needitem     ,
    replacements = keep_vessels ,

    recipe       = {
        { "group:bucket_milk", "group:bucket_milk" }
    } ,
})

reg_craft ({
    output       = needitem     ,
    replacements = keep_vessels ,

    recipe       = {
        { "group:food_milk", "group:bucket_milk" }
    } ,
})

reg_craft ({
    output       = needitem     ,
    replacements = keep_vessels ,

    recipe       = {
        { "group:food_milk", "group:food_milk" } ,
    } ,
})

-- ===================================================================

needitem = reg_food ("cheese",
    {
        description = "Cheese" ,
        satiate     = 4        ,
    })

reg_craft ({
    type         = "shapeless"  ,
    output       = needitem     ,
    replacements = keep_vessels ,

    recipe       = {
        "group:bucket_milk", "group:food_salt"
    } ,
})

reg_craft ({
    type         = "cooking"           ,
    output       = needitem            ,
    recipe       = "group:bucket_milk" ,
    cooktime     = 5                   ,
    replacements = keep_vessels        ,
})

reg_craft ({
    output = needitem ,

    recipe = {
        { "group:food_butter", "group:food_butter" } ,
    }
})

-- ===================================================================
-- End of file.
