-- ===================================================================
-- "ufoods" common header.

local S
if minetest.get_modpath ("intllib") then
    S = intllib.Getter()
else
    S = function (s) return s end
end

local item_eat     = unified_foods.item_eat
local keep_vessels = unified_foods.keep_vessels
local mra          = minetest.registered_aliases
local mri          = minetest.registered_items

local reg_alias    = ocutil.safe_register_alias
local reg_craft    = minetest.register_craft
local reg_food     = unified_foods.register_food
local reg_item     = ocutil.safe_register_item
local reg_juice    = unified_foods.register_juice

local needitem

-- ===================================================================

local obj

-- ===================================================================
-- Pineapple.

needitem = reg_food ("pineapple",
    {
        description    = "Pineapple" ,
        satiate        = 2           ,
        heal           = 1           ,

        external_items = {
            "coderfruit:pineapple", "farming:pineapple"
        } ,
    })

-- ===================================================================
-- Pineapple Juice.

needitem = reg_juice ("pineapple",
    {
        satiate = 2         ,
        heal    = 1         ,
        color   = "#E9BC38" ,
    } ,
    "farming:pineapple_juice")

-- ===================================================================
-- Pineapple Top.

needitem = reg_food ("pineapple_top",
    {
        description    = "Pineapple Top"         ,
        satiate        = 0.1                     ,
        external_items = "farming:pineapple_top" ,
    })

-- ===================================================================
-- Pineapple Ring.

needitem = reg_food ("pineapple_ring",
    {
        description    = "Pineapple Ring"         ,
        satiate        = 0.5                      ,
        external_items = "farming:pineapple_ring" ,
    })

reg_craft ({
    output = needitem .. " 5"           ,
    type   = "shapeless"                ,
    recipe = { "group:food_pineapple" } ,

    replacements = {
        { "group:food_pineapple", "food:pineapple_top" }
    }
})

-- ===================================================================
-- Pineapple Rings can be recombined to make a Pineapple.

obj = "group:food_pineapple_ring"

reg_craft ({
    type   = "shapeless"      ,
    output = "food:pineapple" ,

    recipe = {
        "group:food_pineapple_top" ,
        obj, obj, obj, obj, obj
    } ,
})

-- ===================================================================
-- Pineapple Rings can be recombined to make Pineapple Juice.

obj = "group:food_pineapple_ring"

local pjrec1 = {
    type   = "shapeless"            ,
    output = "food:pineapple_juice" ,

    recipe = {
        "group:food_juicer", "group:food_glass",
        obj, obj, obj, obj, obj
    } ,
    replacements = unified_foods.keep_juicer ,
}

local pjrec2 = ocutil.clone_table (pjrec1)
table.insert (pjrec1.recipe, "group:food_pineapple_top")

reg_craft (pjrec1)
reg_craft (pjrec2)

-- ===================================================================
-- End of file.
