-- ===================================================================
-- "ufoods" common header.

local S
if minetest.get_modpath ("intllib") then
    S = intllib.Getter()
else
    S = function (s) return s end
end

local item_eat     = unified_foods.item_eat
local keep_vessels = unified_foods.keep_vessels
local mra          = minetest.registered_aliases
local mri          = minetest.registered_items

local reg_alias    = ocutil.safe_register_alias
local reg_craft    = minetest.register_craft
local reg_food     = unified_foods.register_food
local reg_item     = ocutil.safe_register_item
local reg_juice    = unified_foods.register_juice

local needitem

-- ===================================================================
-- Carrot.

needitem = reg_food ("carrot",
    {
        description   = "Carrot" ,
        satiate       = 10       ,

        exernal_items = {
            "farming:carrot"    , "farming_plus:carrot_item" ,
            "docfarming:carrot" , "jkfarming:carrot"         ,
            "plantlib:carrot"   ,
        } ,
    })

reg_craft ({
    output = needitem ,
    recipe = {
        { "default:apple", "default:apple", "default:apple" } ,
    }
})

reg_alias ("farming:carrot", needitem)

-- ===================================================================
-- Carrot Juice.

needitem = reg_juice ("carrot",
    {
        satiate = 2         ,
        color   = "#FE7704" ,
    } ,
    "mtfoods:carrot_juice")

reg_alias ("mtfoods:carrot_juice", needitem)

-- ===================================================================
-- Corn.

needitem = reg_food ("corn",
    {
        description    = "Corn" ,
        satiate        = 5      ,

        external_items = {
            "farming:corn"   , "docfarming:corn" ,
            "jkfarming:corn" ,
        } ,
    })

reg_alias ("farming:corn", needitem)

-- ===================================================================
-- Corn Juice.

needitem = reg_juice ("corn",
    {
        satiate = 2         ,
        color   = "#FFE882" ,
    })

-- ===================================================================
-- Rhubarb.

needitem = reg_food ("rhubarb",
    {
        description    = "Rhubarb"                   ,
        satiate        = 3                           ,
        external_items = "farming_plus:rhubarb_item" ,
    })

reg_craft ({
    output = needitem       ,
    recipe = {
        { "default:apple" } ,
        { "default:apple" } ,
        { "default:apple" } ,
    }
})

-- ===================================================================
-- Tomato.

needitem = reg_food ("tomato",
    {
        description    = "Tomato" ,
        satiate        = 3        ,

        external_items = {
            "farming:tomato"  , "farming_plus:tomato_item" ,
            "plantlib:tomato" ,
        } ,
    })

reg_alias ("farming:tomato", needitem)

-- ===================================================================
-- Tomato Juice.

needitem = reg_juice ("tomato",
    {
        satiate = 2         ,
        color   = "#B71212" ,
    })

-- ===================================================================
-- End of file.
