-- ===================================================================
-- "ufoods" common header.

local S
if minetest.get_modpath ("intllib") then
    S = intllib.Getter()
else
    S = function (s) return s end
end

local item_eat     = unified_foods.item_eat
local keep_vessels = unified_foods.keep_vessels
local mra          = minetest.registered_aliases
local mri          = minetest.registered_items

local reg_alias    = ocutil.safe_register_alias
local reg_craft    = minetest.register_craft
local reg_food     = unified_foods.register_food
local reg_item     = ocutil.safe_register_item
local reg_juice    = unified_foods.register_juice

local needitem

-- ===================================================================

local obj

-- ===================================================================
-- Potato.

needitem = reg_food ("potato",
    {
        description    = "Potato" ,
        satiate        = 3        ,

        external_items = {
            "farming:potato"    , "farming_plus:potato_item" ,
            "docfarming:potato" , "veggies:potato"           ,
        } ,
    })

reg_alias ("farming:potato", needitem)

-- ===================================================================
-- Potato Juice.

needitem = reg_juice ("potato",
    {
        satiate = 2         ,
        color   = "#A87D5D" ,
    })

-- ===================================================================
-- Baked Potato.

needitem = reg_food ("baked_potato",
    {
        description    = "Baked Potato"           ,
        satiate        = 6                        ,
        external_items = "docfarming:bakedpotato" ,
    })

reg_craft ({
    type     = "cooking"                 ,
    output   = needitem                  ,
    recipe   = "group:food_potato_baked" ,
    cooktime = 2                         ,
})

-- ===================================================================
-- Potato Slices.

needitem = reg_food ("potato_slices",
    {
        description    = "Potato slices" ,
        satiate        = 2               ,

        external_items = {
            "mtfoods:potato_slices", "extra:potato_slice"
        } ,
    })

reg_craft ({
    output = needitem .. " 4"          ,
    recipe = {{ "group:food_potato" }} ,
})

reg_alias ("extra:potato_slice"    , needitem)
reg_alias ("mtfoods:potato_slices" , needitem)

-- ===================================================================
-- French Fries.

needitem = reg_food ("french_fries",
    {
        description    = "French fries"       ,
        satiate        = 2                    ,
        external_items = "extra:french_fries" ,
    })

obj = "group:food_potato_slices"

reg_craft ({
    output = needitem,
    recipe = {
        { obj , obj , "" } ,
        { obj , obj , "" }
    } ,
})

reg_alias ("extra:french_fries", needitem)

-- ===================================================================
-- Potato Chips.

needitem = reg_food ("potato_chips",
    {
        description    = "Potato chips" ,
        satiate        = 2              ,

        external_items = {
            "mtfoods:potato_chips", "extra:potato_crisps"
        } ,
    })

obj = "group:food_potato_slices"

reg_craft ({
    output = needitem,
    recipe = {
        { ""  , obj , ""  } ,
        { obj , ""  , obj }
    } ,
})

reg_craft ({
    output = needitem,
    recipe = {
        { obj , ""  , obj } ,
        { ""  , obj , ""  }
    } ,
})

reg_alias ("extra:potato_crisps"  , needitem)
reg_alias ("mtfoods:potato_chips" , needitem)

-- ===================================================================
-- End of file.
