-- ===================================================================
-- "ufoods" common header.

local S
if minetest.get_modpath ("intllib") then
    S = intllib.Getter()
else
    S = function (s) return s end
end

local item_eat     = unified_foods.item_eat
local keep_vessels = unified_foods.keep_vessels
local mra          = minetest.registered_aliases
local mri          = minetest.registered_items

local reg_alias    = ocutil.safe_register_alias
local reg_craft    = minetest.register_craft
local reg_food     = unified_foods.register_food
local reg_item     = ocutil.safe_register_item
local reg_juice    = unified_foods.register_juice

local needitem

-- ===================================================================

local obj

-- ===================================================================

needitem = reg_food ("glass_empty",
    {
        description    = "Drinking Glass" ,

        extra_groups   = {
            food_cup=1, food_glass=1, vessel=1
        } ,

        external_items = {
            "farming:drinking_cup"  , "vessels:drinking_glass" ,
            "animalmaterials:glass" ,
        } ,
    })

reg_craft ({
    output = needitem ,
    recipe = {
        { "default:glass" } ,
        { "default:glass" } ,
    }
})

reg_alias ("drinking_glass"         , needitem)
reg_alias ("farming:drinking_cup"   , needitem)
reg_alias ("food:glass"             , needitem)
reg_alias ("vessels:drinking_class" , needitem)

-- ===================================================================

needitem = reg_food ("clay_mug",
    {
        description  = "Clay Mug"               ,
        extra_groups = { food_mug=1, vessel=1 } ,
    })

obj = "default:clay_lump"
--
reg_craft ({
    output = needitem ,
    recipe = {
        { obj, ""  , obj } ,
        { obj, ""  , obj } ,
        { obj, obj , obj } ,
    }
})

-- ===================================================================

needitem = reg_food ("mug",
    {
        description  = "Mug"                    ,
        extra_groups = { food_mug=1, vessel=1 } ,
    })

reg_craft ({
    type   = "cooking"             ,
    output = needitem              ,
    recipe = "group:food_clay_mug" ,
})

obj = "default:stone"
--
reg_craft ({
    output = needitem ,
    recipe = {
        { obj, ""  , obj } ,
        { obj, ""  , obj } ,
        { obj, obj , obj } ,
    }
})

-- ===================================================================

needitem = reg_food ("bowl",
    {
        description  = "Bowl"                    ,
        extra_groups = { food_bowl=1, vessel=1 } ,
    })

obj = "default:clay_lump"
--
reg_craft ({
    output = needitem ,
    recipe = {
        { obj , ""  , obj } ,
        { ""  , obj , ""  } ,
    }
})

obj = "default:stone"
--
reg_craft ({
    output = needitem ,
    recipe = {
        { obj , ""  , obj } ,
        { ""  , obj , ""  } ,
    }
})

-- ===================================================================
-- End of file.
