-- Ghost. Descended from BlockMen version.

-- ===================================================================

local lcname     = "ghost"
local ucname     = "Ghost"
local msname     = "codermobs_" .. lcname
local obj_name   = "codermobs:" .. lcname

-- ===================================================================

mobs_param = {
    lcname       = lcname       ,
    ucname       = ucname       ,
    obj_name     = obj_name     ,

    aoc          =      3       ,
    spawn_chance =  80000       ,

    day_mode     = false        ,
    min_light    =      0       ,
    max_light    =     10       ,
    min_height   = -31000       ,
    max_height   =  31000       ,

    spawn_type   = "animal"     ,

    spawn_nodes  = {
        "darkage:silt"                  ,
        "default:desert_sand"           ,
        "default:dirt_with_dry_grass"   ,
        "default:dirt_with_grass"       ,
        "default:stone"                 ,
        "earthgen:dirt_with_dry_grass"  ,
        "ethereal:dry_dirt"             ,
        "ethereal:green_dirt"           ,
        "ethereal:green_dirt_top"       ,
        "ethereal:grove_dirt"           ,
        "ethereal:mushroom_dirt"        ,
        "mg:dirt_with_dry_grass"        ,
        "noisegrid:grass"               ,
    } ,

    add_egg   = true                    ,
    egg_image = "default_cloud.png"     ,
}

-- ===================================================================

codermobs.adjust_param()

-- ===================================================================

mobs_param.core_param = {
    type = mobs_param.spawn_type    ,

    armor         = 130             ,
    attack_type   = "dogfight"      ,
    damage        =   2             ,
    fall_speed    =   0             ,
    fly           = true            ,
    fly_in        = "air"           ,
    hp_min        =   7             ,
    hp_max        =  12             ,
    jump          = true            ,
    lava_damage   =   0             ,
    light_damage  =   2             ,
    passive       = false           ,
    run_velocity  =   2             ,
    view_range    =  14             ,
    walk_velocity =   2             ,
    water_damage  =   0             ,

    makes_footstep_sound = false    ,

    sounds = {
        random = msname             ,
        damage = msname .. "_hit"   ,
        death  = msname .. "_death" ,
    } ,

    animation = {
        speed_normal =  30 ,
        speed_run    =  30 ,
        walk_start   = 168 ,
        walk_end     = 187 ,
    } ,

    textures = {
        { msname .. ".png" } ,
    } ,

    blood_texture = "codermobs_tnt_smoke.png"            ,
    collisionbox  = { -0.3, -0.5, -0.3, 0.3, 0.75, 0.3 } ,
    mesh          = msname .. ".x"                       ,
    visual        = "mesh"                               ,
    visual_size   = { x=1, y=1 }                         ,
}

-- ===================================================================

codermobs.setup_mob()
codermobs.log_done()

-- ===================================================================
-- End of file.
