-- ===================================================================

enable_wonder                    =
    minetest.setting_getbool ("enable_wonder"                   )

codermobs_default_minimum        =
    minetest.setting_getbool ("codermobs_default_minimal"       ) or
    minetest.setting_getbool ("codermobs_default_minimum"       )

codermobs_default_rural          =
    minetest.setting_getbool ("codermobs_default_farm"          ) or
    minetest.setting_getbool ("codermobs_default_rural"         )

codermobs_disable_all            =
    minetest.setting_getbool ("codermobs_disable_all"           ) or
    minetest.setting_getbool ("codermobs_disable_mobs"          )

codermobs_disable_default        =
    minetest.setting_getbool ("codermobs_disable_default"       )

codermobs_disable_monsters       =
    minetest.setting_getbool ("codermobs_disable_monster"       ) or
    minetest.setting_getbool ("codermobs_disable_monsters"      )

codermobs_enable_all             =
    minetest.setting_getbool ("codermobs_enable_all"            ) or
    minetest.setting_getbool ("codermobs_enable_mobs"           )

codermobs_logless                =
    minetest.setting_getbool ("codermobs_logless"               )

codermobs_monster_global         =
    minetest.setting_getbool ("codermobs_monster_global"        )

codermobs_peaceful_global        =
    minetest.setting_getbool ("codermobs_peaceful_global"       )

codermobs_verbose                =
    minetest.setting_getbool ("codermobs_verbose"               )

codermobs_disable_thismob        = nil
codermobs_enable_thismob         = nil
codermobs_monster_thismob        = nil
codermobs_peaceful_thismob       = nil

-- ===================================================================
-- Set default mobset.

codermobs.default_mobs = {}

if not codermobs_disable_all     and
   not codermobs_enable_all      and
   not codermobs_disable_default then

    if     codermobs_default_minimum  then
           codermobs.default_mobs = ocutil.make_set ({
"angel"         ,
"bee"           ,
"bird"          ,
"bug"           ,
"rat"           ,
        })
    elseif codermobs_default_rural then
           codermobs.default_mobs = ocutil.make_set ({
"angel"         ,
"bear"          ,
"bee"           ,
"baby_chick"    ,
"bird"          ,
"bug"           ,
"bee"           ,
"bird"          ,
"bug"           ,
"bunny"         ,
"butterfly"     ,
"cow"           ,
"deer"          ,
"dog"           ,
"duck_walking"  ,
"elk"           ,
"hedgehog"      ,
"hen"           ,
"hotdog"        ,
"kitten"        ,
"owl"           ,
"sheep"         ,
"wolf"          ,
        })
    elseif minetest.get_modpath ("gta_extra") ~= nil then
           codermobs.default_mobs = ocutil.make_set ({
"angel"         ,
"bee"           ,
"bird"          ,
"bug"           ,
"bunny"         ,
"butterfly"     ,
"deer"          ,
"duck_walking"  ,
"elk"           ,
    })
    else
           codermobs.default_mobs = ocutil.make_set ({
"angel"         ,
"bat"           ,
"baby_chick"    ,
"bear"          ,
"bee"           ,
"bird"          ,
"bug"           ,
"bunny"         ,
"butterfly"     ,
"car"           ,
"cow"           ,
"deer"          ,
"denny"         ,
"dog"           ,
"duck_walking"  ,
"elk"           ,
"farhorse"      ,
"goat"          ,
"hedgehog"      ,
"hen"           ,
"hotdog"        ,
"kangaroo"      ,
"kitten"        ,
"koala"         ,
"oldlady"       ,
"owl"           ,
"mammoth"       ,
"mcpig"         ,
"panda"         ,
"pig"           ,
"plane"         ,
"rat"           ,
"rooster"       ,
"santa"         ,
"sheep"         ,
"silverfish"    ,
"snail"         ,
"snowman"       ,
"trex"          ,
"vbutterfly"    ,
"wolf"          ,
        })
    end
end

-- ===================================================================
-- End of file.
