-- Lost Soul. From "D00Med" mobs. Add more credits here.

-- ===================================================================

local lcname   = "lostsoul"
local ucname   = "Lost Soul"
local msname   = "codermobs_" .. lcname
local obj_name = "codermobs:" .. lcname

-- ===================================================================

mobs:register_arrow ("codermobs:fireball" , {
   visual      = "sprite"                 ,
   visual_size = { x = 1, y = 1 }         ,
   textures    = { "doom_fireshot2.png" } ,
   velocity    = 12                       ,
   tail        =  0                       , -- enable tail

    hit_player = function (self, player)
        player:punch(self.object, 1.0, {
            full_punch_interval = 1.0            ,
            damage_groups       = { fleshy = 3 } ,
        }, nil)
    end ,

    hit_mob    = function (self, player)
            player:punch (self.object, 1.0, {
            full_punch_interval = 1.0            ,
            damage_groups       = { fleshy = 3 } ,
        } , nil)
    end ,

    hit_node = function (self, pos, node)
        self.object:remove()
    end ,
})

-- ===================================================================

mobs_param = {
    lcname       = lcname       ,
    ucname       = ucname       ,
    obj_name     = obj_name     ,

    aoc          =     -1       ,
    spawn_chance =  15000       ,

    day_mode     = false        ,
    min_light    =      0       ,
    max_light    =     20       ,
    min_height   = -31000       ,
    max_height   =  31000       ,

    spawn_type   = "monster"    ,

    spawn_nodes  = {
        "default:leaves"                ,
        "fire:basic_flame"              ,
        "hell:soul_stone"               ,
    } ,

    add_egg   = true                    ,
    egg_image = "wool_orange.png"       ,
}

-- ===================================================================

codermobs.adjust_param()

-- ===================================================================

mobs_param.core_param = {

    passive          = false                    ,
    pathfinding      = true                     ,
    attacks_monsters = true                     ,
    damage           =  1                       ,
    reach            =  3                       ,
    attack_type      = "dogfight"               ,
    shoot_interval   =  2.5                     ,
    shoot_offset     =  1                       ,
    hp_min           = 20                       ,
    hp_max           = 35                       ,
    armor            = 80                       ,
    fall_speed       =  0                       ,
    stepheight       = 10                       ,

    water_damage     =  2                       ,
    lava_damage      =  0                       ,
    light_damage     =  0                       ,
    view_range       = 20                       ,

    visual           = "mesh"                   ,
    mesh             = "codermobs_lostsoul.b3d" ,
    blood_texture    = "doom_flame.png"         ,
    visual_size      = { x=3, y=3 }             ,
    walk_velocity    = 3                        ,
    run_velocity     = 5                        ,
    jump             = true                     ,
    fly              = true                     ,

    type                 = mobs_param.spawn_type            ,
    makes_footstep_sound = false                            ,
    arrow                = "codermobs:fireball"             ,

    collisionbox     = { -0.4, -0.1, -0.4, 0.4, 1.5, 0.4 } ,
    textures         = {{ "mobs_lost_soul.png" }}          ,


    do_custom = function (self)
        local apos = self.object:getpos()
        if    apos == nil then
            self.object:remove()
            return
        end

        local part = minetest.add_particlespawner (
            12, --amount
            0.3, --time
            { x=apos.x-0.3, y=apos.y+0.6, z=apos.z-0.3 } , --minpos
            { x=apos.x+0.3, y=apos.y+0.6, z=apos.z+0.3 } , --maxpos
            { x=-0, y=-0, z=-0 } , --minvel
            { x=0, y=0, z=0 } , --maxvel
            { x=0,y=1.5,z=0 } , --minacc
            { x=0.5,y=1.5,z=0.5 } , --maxacc
            1 , --minexptime
            2 , --maxexptime
            3 , --minsize
            5 , --maxsize
            false, --collisiondetection
            "doom_flame.png" --texture
        )
    end ,

    sounds = {
        attack  = "dssklatk" ,
        death   = "dssklatk" ,
        random  = "dsdmact"  ,
        war_cry = "dssklatk" ,
    } ,

    animation = {
        speed_normal = 10 ,
        speed_run    = 20 ,
        stand_start  =  1 ,
        stand_end    = 20 ,
        run_start    = 20 ,
        run_end      = 40 ,
        walk_start   = 20 ,
        walk_end     = 40 ,
        punch_start  = 40 ,
        punch_end    = 65 ,
   } ,
}

-- ===================================================================

codermobs.setup_mob()
codermobs.log_done()

-- ===================================================================
-- End of file.
