-- Polar Bear. Descended from "mobs_mc" version.

-- ===================================================================

local lcname     = "polar_bear"
local ucname     = "Polar Bear"
local msname     = "codermobs_" .. lcname
local obj_name   = "codermobs:" .. lcname

-- ===================================================================

mobs_param = {
    lcname       = lcname       ,
    ucname       = ucname       ,
    obj_name     = obj_name     ,

    aoc          =     -1       ,
    spawn_chance =  20000       ,

    day_mode     = true         ,
    min_light    =      0       ,
    max_light    =     30       ,
    min_height   = -31000       ,
    max_height   =   1000       ,

    spawn_type   = "animal"     ,

    spawn_nodes  = {
        "default:snow"          ,
        "default:ice"           ,
    } ,

    add_egg   = true                   ,
    egg_image = msname .. "_spawn.png" ,
}

-- ===================================================================

codermobs.adjust_param()

-- ===================================================================

mobs_param.core_param = {
    type = mobs_param.spawn_type ,
    makes_footstep_sound = true  ,

    -- Most behavior/sight/battle
    attack_type   = "dogfight"   ,
    damage        =   6          ,
    group_attack  = true         ,
    hp_max        =  30          ,
    hp_min        =  30          ,
    passive       = false        ,
    reach         =   2          ,
    runaway       = false        ,
    view_range    =  16          ,

    -- Velocities
    run_velocity  =   2.4        ,
    walk_velocity =   1.2        ,

    -- Step/jump/fall parameters
    fear_height   =   4          ,
    jump          = false        ,
    jump_height   =   0          ,
    stepheight    =   1.2        ,

    -- Environment damage
    lava_damage   =  5           ,
    light_damage  =  0           ,
    water_damage  =  0           ,

    -- Misc. parameters
    floats        =  1           ,

    collisionbox  = { -0.70, -0.01, -0.70, 0.70, 1.39, 0.70 } ,
    textures      = {{ msname .. ".png" }}                    ,
    mesh          = msname .. ".b3d"                          ,
    visual        = "mesh"                                    ,
    visual_size   = { x=3.0, y=3.0 }                          ,

    animation = {
        stand_start  =  0 ,
        stand_end    =  0 ,
        walk_start   =  0 ,
        walk_end     = 40 ,
        run_start    =  0 ,
        run_end      = 40 ,
        speed_normal = 25 ,
        speed_run    = 50 ,
    } ,

    drops = {
        { name="mobs:meat_raw", chance=2, min=1, max=2 } ,
    } ,
}

-- ===================================================================

codermobs.setup_mob()
codermobs.log_done()

-- ===================================================================
-- End of file.
