-- Vombie. Largely original mob.

-- The sound files are CC-Zero with attribution to Sapier. The skin is
-- CC BY-SA with attribution to FaZeReaper16.

-- ===================================================================

local lcname     = "vombie"
local ucname     = "Vombie"
local msname     = "codermobs_" .. lcname
local obj_name   = "codermobs:" .. lcname

-- ===================================================================

mobs_param = {
    lcname       = lcname       ,
    ucname       = ucname       ,
    obj_name     = obj_name     ,

    aoc          =     -1       ,
    spawn_chance =  50000       ,

    day_mode     = false        ,
    min_light    =      0       ,
    max_light    =      7       ,
    min_height   =  -1000       ,
    max_height   =    500       ,

    spawn_type   = "monster"    ,

    spawn_nodes  = {
        "default:dirt_with_grass"  ,
        "default:sand"             ,
        "default:desert_sand"      ,
        "default:silver_sand"      ,
        "noisegrid:grass"          ,
    } ,

    add_egg   = true               ,
    egg_image = "default_dirt.png" ,
}

-- ===================================================================

codermobs.adjust_param()

-- ===================================================================

mobs_param.core_param = {
    type = mobs_param.spawn_type    ,
    makes_footstep_sound = true     ,

    armor          = 100            ,
    attack_animals = true           ,
    attack_type    = "dogfight"     ,
    damage         =   2            ,
    floats         =   0            ,
    hp_min         =   7            ,
    hp_max         =  33            ,
    stepheight     = 1.2            ,
    jump_height    =   0            ,
    jump           = false          ,
    light_flames   = true           ,
    passive        = false          ,
    pathfinding    = true           ,
    reach          =   2            ,
    run_velocity   =   3            ,
    runaway        = true           ,
    view_range     =  15            ,
    walk_velocity  =   1            ,

    fall_damage    =   0            ,
    lava_damage    =   0            ,
    light_damage   =   2            ,
    water_damage   =   0            ,

    drops = {
        { name="default:apple", chance=2, min=1, max=3 } ,
    } ,

    sounds = {
        random = "codermobs_vombie_random"  ,
        death  = "codermobs_vombie_death"   ,
        hurt   = "codermobs_vombie_hurt"    ,
    } ,

    collisionbox    = { -0.3, -1.0, -0.3, 0.3, 0.8, 0.3 }  ,
    mesh            = "codermobs_humanoid.x"               ,
    textures        = {{ "codermobs_vombie_mesh.png" }}    ,
    visual          = "mesh"                               ,
    visual_size     = { x=1, y=1 }                         ,

    animation = {
        stand_start  =   0 ,
        stand_end    =  79 ,
        walk_start   = 168 ,
        walk_end     = 187 ,
        run_start    = 168 ,
        run_end      = 187 ,
        punch_start  = 200 ,
        punch_end    = 219 ,
        speed_normal =  30 ,
        speed_run    =  30 ,
    } ,
}

-- ===================================================================

codermobs.setup_mob()
codermobs.log_done()

-- ===================================================================
-- End of file.
